Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.audit
Interface DefaultAuditorMBean

public interface DefaultAuditorMBean
extends weblogic.management.commo.StandardInterface, AuditorMBean

The MBean that represents configuration attributes for the Weblogic Auditing provider.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Auditing provider.
`java.lang.String` | `getOutputMedium()` An output repository for the audit information.
`java.lang.String` | `getProviderClassName()` The Java class used to load the WebLogic Auditing provider.
`java.lang.String` | `getSeverity()` The severity level at which auditing is initiated.
`java.lang.String` | `getVersion()` The version number of the WebLogic Auditing provider.
`void` | `setOutputMedium(java.lang.String newValue)` An output repository for the audit information.
`void` | `setSeverity(java.lang.String newValue)` The severity level at which auditing is initiated.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The Java class used to load the WebLogic Auditing provider.

  Default Value: "weblogic.security.providers.audit.DefaultAuditProviderImpl"

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Auditing provider.

  Default Value: "WebLogic Auditing Provider"

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Auditing provider.

  Default Value: "1.0"

### getSeverity

    public java.lang.String getSeverity()

  The severity level at which auditing is initiated. Selecting CUSTOM provides the ability to customize the exact severity levels to be audited.

  Default Value: "ERROR"
  Legal Values: INFORMATION,WARNING,ERROR,SUCCESS,FAILURE,CUSTOM

### setSeverity

    public void setSeverity(java.lang.String newValue)
                     throws javax.management.InvalidAttributeValueException

  The severity level at which auditing is initiated. Selecting CUSTOM provides the ability to customize the exact severity levels to be audited.

  Parameters:
    `newValue` - - new value for attribute Severity
  Throws:
    javax.management.InvalidAttributeValueException -

### getOutputMedium

    public java.lang.String getOutputMedium()

  An output repository for the audit information. This repository can be a an LDAP back-end, database, or a simple file. This attribute is optional.

### setOutputMedium

    public void setOutputMedium(java.lang.String newValue)
                         throws javax.management.InvalidAttributeValueException

  An output repository for the audit information. This repository can be a an LDAP back-end, database, or a simple file. This attribute is optional.

  Parameters:
    `newValue` - - new value for attribute OutputMedium
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference